Bug 250821 - devel/gnome-builder: Update to 3.38.0
Summary: devel/gnome-builder: Update to 3.38.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-02 23:28 UTC by Neel Chauhan
Modified: 2020-11-21 18:26 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Patch (Revision 1) (41.17 KB, patch)
2020-11-02 23:28 UTC, Neel Chauhan
no flags Details | Diff
Patch (Revision 2) (45.42 KB, patch)
2020-11-07 22:56 UTC, Neel Chauhan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan 2020-11-02 23:28:01 UTC
Created attachment 219315 [details]
Patch (Revision 1)

Passes poudriere.
Comment 1 Tobias C. Berner freebsd_committer 2020-11-07 10:12:18 UTC
Moin moin 

I see lots of
-include/gnome-builder-3.36/libide/code/ide-buffer-addin.h
+include/gnome-builder-3.38/libide/code/ide-buffer-addin.h

I think if you would use a plist sub and change this to something like
+include/gnome-builder-%%BUILDER_VERSION%%/libide/code/ide-buffer-addin.h

we could reduce the churn in the plist in the future.


mfg Tobias
Comment 2 Neel Chauhan 2020-11-07 17:50:42 UTC
I tried that, but %%BUILDER_VERSION%% won't work because while the files say 3.38, the version is 3.38.0 and it looks for 3.38.0 which is missing.
Comment 3 Tobias C. Berner freebsd_committer 2020-11-07 22:39:09 UTC
Just add PLIST_SUB=BUILDER_VERSION=3.38 -- or you can even get fancier with PLIST_SUB=BUILDER_VERSION=${PORTVERSION:R}
Comment 4 Neel Chauhan 2020-11-07 22:56:12 UTC
Created attachment 219440 [details]
Patch (Revision 2)

Sure, fixed it.
Comment 5 commit-hook freebsd_committer 2020-11-15 10:04:04 UTC
A commit references this bug:

Author: tcberner
Date: Sun Nov 15 10:03:56 UTC 2020
New revision: 555182
URL: https://svnweb.freebsd.org/changeset/ports/555182

Log:
  devel/gnome-builder: Update to 3.38.0

  PR:		250821
  Submitted by:	Neel Chauhan <neel@neelc.org>

Changes:
  head/devel/gnome-builder/Makefile
  head/devel/gnome-builder/distinfo
  head/devel/gnome-builder/pkg-plist
Comment 6 Tobias C. Berner freebsd_committer 2020-11-21 18:26:06 UTC
Committed, thanks.